<?php

namespace Litepie\Location\Policies;

use Litepie\Location\Models\Location;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait LocationAction
{

    /**
     * Determine if the given user can copy the given location.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Location $location)
    {

        if ($authUser->canDo('location.location.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given location.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Location $location) {

        if ($authUser->canDo('location.location.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given location.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Location $location)
    {

        if ($authUser->canDo('location.location.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
